Bug 619712 - V7 plan traceback in cpuscaling for s390x RHEL6 and ppc64 RHEL6
V7 plan traceback in cpuscaling for s390x RHEL6 and ppc64 RHEL6
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.2
s390x Linux
high Severity high
: ---
: ---
Assigned To: Greg Nichols
Caspar Zhang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 05:16 EDT by qcui
Modified: 2010-09-21 05:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The CPU scaling test no longer fails with "TypeError" on Red Hat Enterprise Linux 6 for 64-Bit PowerPC and IBM System z.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:13:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
v7-1.2-13.el6 on server s390x (3.21 KB, application/octet-stream)
2010-07-30 05:19 EDT, qcui
no flags Details
v7-1.1-24.el6 on server s390x (421 bytes, application/octet-stream)
2010-07-30 05:19 EDT, qcui
no flags Details
v7-1.2-13.el6 on server ppc64 (3.55 KB, application/octet-stream)
2010-07-30 05:23 EDT, qcui
no flags Details
v7-1.1-24.el6 on server ppc64 (423 bytes, application/octet-stream)
2010-07-30 05:24 EDT, qcui
no flags Details
cpuscaling test patch fixing tracback for non-cpuscaled systems (761 bytes, patch)
2010-07-30 09:25 EDT, Greg Nichols
no flags Details | Diff
v7-1.2-15.el6 on server ppc64 (1.19 KB, application/octet-stream)
2010-08-12 05:00 EDT, qcui
no flags Details
cpuscaling test patch (additional on R15) fixing traceback (521 bytes, patch)
2010-08-12 07:55 EDT, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 03:59:09 EDT

  None (edit)
Description qcui 2010-07-30 05:16:47 EDT
Description of problem:
On servers s390x and ppc64 with RHEL6 os, the v7 test can not work. I have installed v7-1.1-24 and v7-1.2-13 to have a try. But they both failed to work.


Version-Release number of selected component (if applicable):
# rpm -q v7
v7-1.2-13.el6.noarch
# uname -a
Linux ibm-z10-14.rhts.eng.bos.redhat.com 2.6.32-52.el6.s390x #1 SMP Wed Jul 21 11:39:55 EDT 2010 s390x s390x s390x GNU/Linux
# more /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.0 Beta (Santiago)


How reproducible:
Always


Steps to Reproduce:
1. Install v7-1.2-13.
2. # v7 
3. # v7 plan
  

Actual results:
[root@ibm-z10-14 test]# v7
Usage: v7 <command> [options]

command:
        plan    - plan certification testing
        certify - execute the remaining tests from the certification test plan
        print   - print certification test results
        ******************************

[root@ibm-z10-14 tests]# v7 plan
Error: v7 is already running (lock file /var/lock/subsys/v7 found)
Override? (y|n) y
response: y
Tested OS: Red Hat Enterprise Linux Server 6 (Santiago)
Kernel RPM: kernel-2.6.32-52.el6
v7 version 1.2, release 13
the controller /org/freedesktop/Hal/devices/computer is already in testplan, will skip the block device /dev/dasdc
the controller /org/freedesktop/Hal/devices/computer is already in testplan, will skip the block device /dev/dasdb
the controller /org/freedesktop/Hal/devices/computer is already in testplan, will skip the block device /dev/dasda
Error: cpu 0 has no cpufreq directory /sys/devices/system/cpu/cpu0/cpufreq
Traceback (most recent call last):
  File "/usr/bin/v7", line 45, in <module>
    success = v7.do(args)
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 179, in do
    self.commands[self.command]()
  File "/usr/share/v7/lib/v7/hardwaretest.py", line 280, in doPlan
    tests = self.planner.plan() 
  File "/usr/share/v7/lib/v7/planner.py", line 113, in plan
    self.tests = self.__plan(self.devices)
  File "/usr/share/v7/lib/v7/planner.py", line 96, in __plan
    someTests = test.plan(self.devices)
  File "/usr/share/v7/tests/cpuscaling/cpuscaling.py", line 62, in plan
    for directory in self.getCPUFreqDirectories():
TypeError: 'NoneType' object is not iterable


Additional info:
v7 run --test *** also failed.
Comment 1 qcui 2010-07-30 05:19:14 EDT
Created attachment 435505 [details]
v7-1.2-13.el6 on server s390x
Comment 2 qcui 2010-07-30 05:19:56 EDT
Created attachment 435507 [details]
v7-1.1-24.el6 on server s390x
Comment 3 qcui 2010-07-30 05:23:05 EDT
Created attachment 435511 [details]
v7-1.2-13.el6 on server ppc64
Comment 4 qcui 2010-07-30 05:24:03 EDT
Created attachment 435512 [details]
v7-1.1-24.el6 on server ppc64
Comment 5 Greg Nichols 2010-07-30 09:25:42 EDT
Created attachment 435552 [details]
cpuscaling test patch fixing tracback for non-cpuscaled systems

This patch is on R13
Comment 7 qcui 2010-08-12 04:59:06 EDT
It seemed that V7 plan traceback in cpuscaling come back for ppc64 RHEL6 on v7 R15.
Comment 8 qcui 2010-08-12 05:00:22 EDT
Created attachment 438378 [details]
v7-1.2-15.el6 on server ppc64
Comment 9 Greg Nichols 2010-08-12 07:55:24 EDT
Created attachment 438414 [details]
cpuscaling test patch (additional on R15) fixing traceback
Comment 12 qcui 2010-08-25 23:18:01 EDT
Verified it with R20 and R21.
Comment 15 errata-xmlrpc 2010-09-20 08:13:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 16 Jaromir Hradilek 2010-09-21 05:15:29 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The CPU scaling test no longer fails with "TypeError" on Red Hat Enterprise Linux 6 for 64-Bit PowerPC and IBM System z.

Note You need to log in before you can comment on or make changes to this bug.